import create from 'dd-store';
import pageStore from './store';
import { getMeetingRoomAffairs, createMeetingTask, deleteMeetingTask, updateTaskTitle, updateTaskStatus } from '../../api/request';

create.Page({
  store: pageStore,
  data: {
    affairList: null, //store
    show: false, //pop
    pop: {
      title: '',
      type: ''
    },
    currentTask: {}
  },
  onLoad(query) {
    this.reload();
  },
  //获取动态列表
  reload() {
    getMeetingRoomAffairs().then(res => {
      const affairList = res.data.data;
      const newAffairList = affairList.map(it => {
        if (it.logType == 'schedule_accessory_add') {
          if (it.fileView.creatorInfo) {
            it.fileView.creatorInfo = JSON.parse(it.fileView.creatorInfo);
          }
          if (it.fileView.fileInfos) {
            it.fileView.fileInfos = JSON.parse(it.fileView.fileInfos)
          }
          return it
        }
        else if (it.logType === 'task_add') {
          it.taskViewList.map(o => {
            if (o.acceptorInfo) {
              o.acceptorInfo = JSON.parse(o.acceptorInfo)
            }
            if (o.creatorInfo) {
              o.creatorInfo = JSON.parse(o.creatorInfo)
            }
            if (o.taskInfos) {
              o.taskInfos = JSON.parse(o.taskInfos)
            }
            return o
          })
          return it
        }
        return it
      })
      console.log(newAffairList)
      this.store.data.affairList = newAffairList;

      this.update();
    })
  },
  showPop(e) {
    this.setData({
      pop: e.target.dataset.pop,
      show: true
    })
  },
  closePop() {
    this.setData({
      show: false
    })
  },
  //设置修改任务弹框中当前任务
  setCurrentTask(currentTask) {
    this.setData({
      currentTask
    })
  },
  //修改任务标题
  inputChange(value) {
    console.log(value);
    updateTaskTitle({}).then(res => {
      this.reload();
    })
  },
  //修改任务状态
  CheckChange(value) {
    console.log(value)
    updateTaskStatus({}).then(res => {
      this.reload();
    })
  },
  //创建任务完成
  Complete(data) {
    console.log(data)
    const excutor = this.store.data.excutor;
    console.log(this.store.data)
    createMeetingTask(data).then(res => {
      if (res.data.data.success) {
        this.reload();
        this.closePop();
      }
    })
  },
  deleteTask() {
    deleteMeetingTask({}).then(res => {
      this.reload();
    })
  }
});
